> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Staking Balance

> Computes how many tokens of a grant the caller can still stake, honouring vesting, lockups and grace period.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-available-staking-balance
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-available-staking-balance:
    get:
      operationId: getAvailableStakingBalance
      summary: Get Available Staking Balance
      description: >-
        Computes how many tokens of a grant the caller can still stake,
        honouring vesting, lockups and grace period.


        Not available to API keys.
      parameters:
        - name: grantID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAvailableStakingBalanceResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAvailableStakingBalanceResponse:
      oneOf:
        - $ref: '#/components/schemas/GetAvailableStakingBalanceResponse1'
        - $ref: '#/components/schemas/GetAvailableStakingBalanceResponse2'
    GetAvailableStakingBalanceResponse1:
      type: object
      properties:
        availableBalance:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        vestedAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        unvestedAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        lockedAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        unlockedAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        isLocked:
          type: boolean
        stakeableAmount:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        maxStakePercentage:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        alreadyStaked:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        enabledStakingTypes:
          type: array
          items:
            type: string
            enum:
              - VESTED_LOCKED_TOKENS
              - UNVESTED_LOCKED_TOKENS
              - UNVESTED_UNLOCKED_TOKENS
        typeAmounts:
          type: object
          properties:
            VESTED_LOCKED_TOKENS:
              type: string
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            UNVESTED_LOCKED_TOKENS:
              type: string
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
            UNVESTED_UNLOCKED_TOKENS:
              type: string
              pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          required:
            - VESTED_LOCKED_TOKENS
            - UNVESTED_LOCKED_TOKENS
            - UNVESTED_UNLOCKED_TOKENS
        message:
          type: string
      required:
        - availableBalance
        - vestedAmount
        - unvestedAmount
        - lockedAmount
        - unlockedAmount
        - isLocked
        - stakeableAmount
        - maxStakePercentage
        - alreadyStaked
        - enabledStakingTypes
        - typeAmounts
        - message
    GetAvailableStakingBalanceResponse2:
      type: object
      properties:
        availableBalance:
          type: string
          pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        message:
          type: string
        enabledStakingTypes:
          type: array
          items:
            type: string
            enum:
              - VESTED_LOCKED_TOKENS
              - UNVESTED_LOCKED_TOKENS
              - UNVESTED_UNLOCKED_TOKENS
      required:
        - availableBalance
        - message
        - enabledStakingTypes
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
